%global commit 3f8e503d916d4f33c0331dfb4067b32055a9ee86
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20210309


Name:                    assem
Version:                 1.0.1
Release:                 1%{?dist}
Summary:                 ASSEM is a classic assembler for MERA 400.

License:                 GPLv2
URL:                     https://github.com/jakubfi/assem
Source0:                 https://github.com/jakubfi/assem/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake
BuildRequires:           bison
BuildRequires:           flex

%description
ASSEM is a classic assembler for MERA 400.

It supports syntax used in original ASSK and ASSM assembler sources, with both K-202 and MERA 400 mnemonics.
Additionaly, it can translate classic-syntax sources into modern-syntax, similar (but not identical) to the one used by EMAS.

%prep
%setup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}/%{name}/tools

%{__cp} tools/desymbolify.py %{buildroot}%{_datadir}/%{name}/tools

sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|' %{buildroot}%{_datadir}/%{name}/tools/desymbolify.py

%files
%{_bindir}/assem
%{_datadir}/%{name}/tools/*

%changelog
* Sun Dec 5 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 1.0.1-1
- Initial build

